KD SOAP API Documentation: KDSoapFaultException Class Reference

| KD SOAP API Documentation 2.2

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | List of all members
KDSoapFaultException Class Reference

`#include <KDSoapFaultException.h>`

## Public Member Functions
| KDSoapFaultException ()
| KDSoapFaultException (const KDSoapFaultException &cpy)
| KDSoapFaultException (const QString &faultCode, const QString &faultString, const QString &faultActor=QString())
| ~KDSoapFaultException ()
void | deserialize (const KDSoapValue &mainValue)
KDSoapValue | detailValue () const
QString | faultActor () const
QString | faultCode () const
QString | faultString () const
KDSoapFaultException & | operator= (const KDSoapFaultException &other)
void | setDetailValue (const KDSoapValue &detailValue)
void | setFaultActor (const QString &faultActor)
void | setFaultCode (const QString &faultCode)
void | setFaultString (const QString &faultString)

## Static Public Member Functions
static const KDSoapValue & | faultDetails (const KDSoapValue &faultValue)

## Detailed Description

KDSoapFaultException is the base class for exceptions representing a fault element. So far supporting only SOAP 1.1 version which mean the following attributes : <faultcode>, <faultstring>, <faultfactor>, <detail>

The <detail> tag optionally contains specific serialized fault information. represented as an exception in the client side.

Definition at line 25 of file KDSoapFaultException.h.

## Constructor & Destructor Documentation

## ◆ KDSoapFaultException() [1/3]

KDSoapFaultException::KDSoapFaultException | ( |  | ) |

Constructor

Definition at line 29 of file KDSoapFaultException.cpp.

## ◆ KDSoapFaultException() [2/3]

KDSoapFaultException::KDSoapFaultException | ( | const KDSoapFaultException & | cpy | ) |

Copy constructor

Definition at line 34 of file KDSoapFaultException.cpp.

## ◆ KDSoapFaultException() [3/3]

KDSoapFaultException::KDSoapFaultException | ( | const QString & | faultCode,
|  | const QString & | faultString,
|  | const QString & | faultActor = `QString()`
| ) |  |

Constructs a KDSoapFaultException according to the SOAP 1.1 attriutes.

Parameters

  faultCode | a code for identifying the fault
  faultString | a human readable explanation of the fault
  faultActor | information about who caused the fault to happen

Definition at line 39 of file KDSoapFaultException.cpp.

References faultActor(), faultCode(), and faultString().

## ◆ ~KDSoapFaultException()

KDSoapFaultException::~KDSoapFaultException | ( |  | ) |

Destructor

Definition at line 57 of file KDSoapFaultException.cpp.

## Member Function Documentation

## ◆ deserialize()

void KDSoapFaultException::deserialize | ( | const KDSoapValue & | mainValue | ) |

Reconstructs the KDSoapFaultException object from a KDSoapValue.

Parameters

  mainValue | KDSoapValue represents the fault tag element

Definition at line 61 of file KDSoapFaultException.cpp.

References QList::at(), KDSoapValue::childValues(), QList::count(), KDSoapValue::name(), KDSoapValue::value(), and QVariant::value().

## ◆ detailValue()

KDSoapValue KDSoapFaultException::detailValue | ( |  | ) | const

Returns the <detail> tag of the fault element as a KDSoapValue. When the fault is generic, return an empty KDSoapValue. When the fault is specific the KDSoapValue optionally contains specific serialized fault information.

Definition at line 123 of file KDSoapFaultException.cpp.

Referenced by setDetailValue().

## ◆ faultActor()

QString KDSoapFaultException::faultActor | ( |  | ) | const

Returns the fault actor of the fault as a QString

Definition at line 113 of file KDSoapFaultException.cpp.

Referenced by KDSoapFaultException(), and setFaultActor().

## ◆ faultCode()

QString KDSoapFaultException::faultCode | ( |  | ) | const

Returns the fault code.

Definition at line 78 of file KDSoapFaultException.cpp.

Referenced by KDSoapFaultException(), and setFaultCode().

## ◆ faultDetails()

const KDSoapValue & KDSoapFaultException::faultDetails | ( | const KDSoapValue & | faultValue | ) |
| static

Returns the KDSoapValue representing the <detail> tag from the parameter.

Parameters

  faultValue | Represent the <fault> tag in the SOAP protocol

Definition at line 83 of file KDSoapFaultException.cpp.

References QList::at(), KDSoapValue::childValues(), QList::count(), and KDSoapValue::name().

## ◆ faultString()

QString KDSoapFaultException::faultString | ( |  | ) | const

Returns the human readable fault string of the fault.

Definition at line 103 of file KDSoapFaultException.cpp.

Referenced by KDSoapFaultException(), and setFaultString().

## ◆ operator=()

KDSoapFaultException & KDSoapFaultException::operator= | ( | const KDSoapFaultException & | other | ) |

Assignment operator

Definition at line 47 of file KDSoapFaultException.cpp.

## ◆ setDetailValue()

void KDSoapFaultException::setDetailValue | ( | const KDSoapValue & | detailValue | ) |

Set the KDSoapValue of the fault.

Parameters

  detailValue | KDSoapValue representing the <detail> tag of a fault message

Definition at line 128 of file KDSoapFaultException.cpp.

References detailValue().

## ◆ setFaultActor()

void KDSoapFaultException::setFaultActor | ( | const QString & | faultActor | ) |

Set the fault actor with a string.

Parameters

  faultActor | information about who caused the fault to happen

Definition at line 118 of file KDSoapFaultException.cpp.

References faultActor().

## ◆ setFaultCode()

void KDSoapFaultException::setFaultCode | ( | const QString & | faultCode | ) |

Set the code of the fault.

Parameters

  faultCode | Code of the fault

Definition at line 99 of file KDSoapFaultException.cpp.

References faultCode().

## ◆ setFaultString()

void KDSoapFaultException::setFaultString | ( | const QString & | faultString | ) |

Set the human-readable QString of the fault.

Parameters

  faultString | Human-readable message

Definition at line 108 of file KDSoapFaultException.cpp.

References faultString().

The documentation for this class was generated from the following files:

- KDSoapFaultException.h
- KDSoapFaultException.cpp

© 2010-2024 Klarälvdalens Datakonsult AB (KDAB)
"The Qt, C++ and OpenGL Experts"
https://www.kdab.com/
https://www.kdab.com/development-resources/qt-tools/kd-soap/
Generated on Sun Jan 7 2024 11:47:36 for KD SOAP API Documentation by doxygen 1.9.8